Fiscal Harmony API
  1. Transactions
Fiscal Harmony API
  • Introduction
  • Authentication
  • Data
  • Webhooks
  • Support
  • Account
    • Get Profile
      GET
    • Get Fiscal Device
      GET
    • Subscription
      GET
  • Transactions
    • Submit Invoice
      POST
    • Submit Credit Note
      POST
    • Check Status
      POST
    • Download Pdf
      GET
  • Mappings
    • Tax Mappings
      • Get All TaxMappings
      • Add Tax Mapping
      • Get Specific Tax Mapping
      • Update Tax Mapping
      • Delete Tax Mapping
    • Currency Mappings
      • Supported Currencies
      • Get All CurrencyMappings
      • Add Currency Mapping
      • Get Specific Currency Mapping
      • Update Currency Mapping
      • Delete Currency Mapping
  • Schemas
    • Account
      • Profile
      • FiscalDevice
      • DeviceConfig
      • ApplicableTax
      • BillingPlan
      • BillingStatus
      • Subscription
    • Mappings
      • CurrencyMapping
      • TaxMapping
    • Transactions
      • Invoice
      • CreditNote
      • BuyerContact
      • PaymentMethodType
      • LineItem
      • StatusRequest
    • Date
  1. Transactions

Submit Credit Note

Cloud Mock
https://mock.apidog.com/m1/1209598-0-default
Cloud Mock
https://mock.apidog.com/m1/1209598-0-default
POST
/creditnote
Last modified:2026-02-27 12:06:52

Request

Header Params

Body Params application/json

Examples

Responses

🟢200
text/plain
Returns a string, representing the request Id that you must use to correlate with the status produced by a webhook event or for fetching results using the /status endpoint described in the next sections of this document.
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://mock.apidog.com/m1/1209598-0-default/creditnote' \
--header 'X-Api-Key: YOUR_API_KEY' \
--header 'X-Api_Secret: YOUR_API_SECRET' \
--header 'X-Application: YOUR_APPLICATION_ID' \
--header 'X-Api-Station: YOUR_API_STATION' \
--header 'X-App-Version: 1' \
--header 'Content-Type: application/json' \
--data-raw '{
    "CreditNoteId": "CRD-0123",
    "OriginalInvoiceId": "INV-0123",
    "CreditNoteNumber": "XYZ1234567",
    "Reference": "Refund",
    "IsTaxInclusive": true,
    "BuyerContact": {
        "Name": "Stuart Taffs",
        "TradeName": "Fiscal Harmony",
        "Tin": "1234567890",
        "VatNumber": "123456789",
        "Phone": null,
        "Email": null,
        "Address": {
            "Province": "HRE",
            "Street": "Sandringham Drive, Alexandra Park",
            "HouseNo": "40",
            "City": "Harare"
        }
    },
    "Date": "2026-07-07T04:20:00+02:00",
    "LineItems": [
        {
            "Description": "Fiscal Device",
            "UnitAmount": 420.0,
            "TaxCode": "VAT",
            "ProductCode": "99001234",
            "LineAmount": 420.00,
            "DiscountAmount": null,
            "Quantity": 1.0,
            "CustomFields": null
        }
    ],
    "PaymentMethod": "Card",
    "SubTotal": 353.00,
    "TotalTax": 67.00,
    "Total": 420.00,
    "CurrencyCode": "USD",
    "IsDiscounted": false,
    "IsRetry": false
}'
Response Response Example
1234abcd6789efgh01234abcd5678efgh
Modified at 2026-02-27 12:06:52
Previous
Submit Invoice
Next
Check Status
Built with